%define bname qalculate
%define name libqalculate
%define	version	 2.2.0

%define major 13
%define libname %mklibname %{bname} %major
%define libnamedev %mklibname %{bname} -d  

Summary:	Libqalculate is the library for qalculate
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
License:	GPL
Group:		System/Libraries
Source0:	https://github.com/Qalculate/libqalculate/releases/download/v2.2.0/libqalculate-%{version}.tar.xz
Patch0:		%name-git-20171211.patch
URL:		http://qalculate.github.io/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot 
BuildRequires:	libcln-devel
BuildRequires:	libgmp-devel
BuildRequires:	libxml2-devel
BuildRequires:	readline-devel
BuildRequires:	libmpfr-devel

%description
Libraries needed by qalculator  

#-----------------------------------------------------------

%package -n %libname 
Group: System/Libraries
Summary: Libqalculate is the library for qalculate 
Obsoletes: %{_lib}qalculate4
Obsoletes: %{_lib}qalculate5
Obsoletes: %{name}0 
Provides:   %{name}0 
Requires: %{name}

%description -n %libname
Libraries needed by qalculator    

%package -n	%{libnamedev}
Summary:	Headers and development files for libqalculator
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:      %{name}0-devel 
Provides:       %{name}0-devel 
Obsoletes:	libqalculate4-devel


%description -n	 %{libnamedev}
Headers and development files for libqalculator.

%prep
%setup -qn  libqalculate-%{version}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# we may remove these
rm -f %{buildroot}/%{_libdir}/*.la

%find_lang %{bname}

%post -n %{libname}
/sbin/ldconfig 

%postun -n %{libname}
/sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/qalc*
%doc %dir %{_datadir}/qalculate
%{_datadir}/qalculate/*.xml
%{_datadir}/qalculate/*.json
%doc %dir %{_docdir}/libqalculate/reference/html
%{_docdir}/libqalculate/reference/html/*
%lang(all) %{_datadir}/locale/*/*/libqalculate.mo

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%name.so.*

%files -n %{libnamedev} -f %{bname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO
%{_includedir}/%{name}/*
%{_libdir}/%name.so
%{_libdir}/pkgconfig/%name.pc

 
%changelog
* Wed Dec 27 2017 bb2 <bb2> - 2.2.0-2pclos2017
- make it updateable and leaving existing 0.9.9 library in place
- since other things are still linked to it

* Tue Dec 26 2017 Zen Subz <techars21 at gmail dot com> - 2.2.0-1pclos2017
- Update to latest release from github

* Sat Oct 07 2017 bb2 <bb2> - 0.9.9-2pclos2017
- rebuild against updates

* Sat Aug 06 2016 gseaman <galen.seaman at charter.net> 0.9.9-1gseaman2016
- 0.9.9
- bump to major 6 to not remove libqalculate5 for kde plasma

* Wed Nov 24 2010 Texstar <texstar at gmail.com> 0.9.7-2pclos2010
- fix BR libcln-devel
- fix post and postun 
- fix devel package no major
- fix libmajor to 5 not 4

* Wed Nov 24 2010 MBantz <martin dot bantz at gmail dot com> 0.9.7-1pclos2010
- Update to 0.9.7
